summaryrefslogtreecommitdiff
path: root/x11-misc/compton
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2017-12-03 19:36:10 +0000
committerV3n3RiX <venerix@redcorelinux.org>2017-12-03 19:36:10 +0000
commit2fb8bde3ed5c879808a71a06a6c2d80d76a59487 (patch)
treec5d1e14109b613ced28fb1e7ed63315bc9575076 /x11-misc/compton
parent58240837d18e3ded66115a875c213c76fc4d7f72 (diff)
x11-misc/compton : import from gentoo tre
Diffstat (limited to 'x11-misc/compton')
-rw-r--r--x11-misc/compton/Manifest1
-rw-r--r--x11-misc/compton/compton-0.1_beta2-r1.ebuild69
2 files changed, 70 insertions, 0 deletions
diff --git a/x11-misc/compton/Manifest b/x11-misc/compton/Manifest
new file mode 100644
index 00000000..691cb27c
--- /dev/null
+++ b/x11-misc/compton/Manifest
@@ -0,0 +1 @@
+DIST compton-0.1_beta2.tar.gz 144239 SHA256 7b9cd52a57326116fb5db3f5f89b7d50e17715252d9fd79b70b45ace30a6b009 SHA512 c3a019d90e32559d44e3a4969bcc15a15837db9c9519ce8cc70b1bd3d0cb16d29449f68cc2f6a8d834569c9620ec6533ab85c1586da957c69b1ae341d9584535 WHIRLPOOL 39ca9718bc79d4542d73cce39bb51fc9b9c0497a30914ab044b920f72a3c2f8cbd315c5dc97c999c1f0ca798ae692ada4626f069914b6835f0c225638b486422
diff --git a/x11-misc/compton/compton-0.1_beta2-r1.ebuild b/x11-misc/compton/compton-0.1_beta2-r1.ebuild
new file mode 100644
index 00000000..a12b639f
--- /dev/null
+++ b/x11-misc/compton/compton-0.1_beta2-r1.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python3_{4,5,6} )
+inherit toolchain-funcs python-r1
+
+DESCRIPTION="A compositor for X, and a fork of xcompmgr-dana"
+HOMEPAGE="https://github.com/chjj/compton"
+SRC_URI="https://github.com/chjj/compton/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE="dbus +drm opengl +pcre xinerama"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+COMMON_DEPEND="${PYTHON_DEPS}
+ dev-libs/libconfig:=
+ x11-libs/libX11
+ x11-libs/libXcomposite
+ x11-libs/libXdamage
+ x11-libs/libXext
+ x11-libs/libXfixes
+ x11-libs/libXrandr
+ x11-libs/libXrender
+ dbus? ( sys-apps/dbus )
+ opengl? ( virtual/opengl )
+ pcre? ( dev-libs/libpcre:3 )
+ xinerama? ( x11-libs/libXinerama )"
+RDEPEND="${COMMON_DEPEND}
+ x11-apps/xprop
+ x11-apps/xwininfo"
+DEPEND="${COMMON_DEPEND}
+ app-text/asciidoc
+ virtual/pkgconfig
+ x11-proto/xproto
+ drm? ( x11-libs/libdrm )"
+
+nobuildit() { use $1 || echo yes ; }
+
+pkg_setup() {
+ if [[ ${MERGE_TYPE} != binary ]]; then
+ tc-export CC
+ fi
+}
+
+src_compile() {
+ emake docs
+
+ NO_DBUS=$(nobuildit dbus) \
+ NO_XINERAMA=$(nobuildit xinerama) \
+ NO_VSYNC_DRM=$(nobuildit drm) \
+ NO_VSYNC_OPENGL=$(nobuildit opengl) \
+ NO_REGEX_PCRE=$(nobuildit pcre) \
+ emake compton
+}
+
+src_install() {
+ NO_DBUS=$(nobuildit dbus) \
+ NO_VSYNC_DRM=$(nobuildit drm) \
+ NO_VSYNC_OPENGL=$(nobuildit opengl) \
+ NO_REGEX_PCRE=$(nobuildit pcre) \
+ default
+ docinto examples
+ dodoc compton.sample.conf dbus-examples/*
+ python_foreach_impl python_newscript bin/compton-convgen.py compton-convgen
+}